.footer-v2 {
    padding: 40px 0 50px 0;
    background: #2F3852;
}

.footer-v2-wrapper {
    width: 1228px;
    padding: 0 16px;
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
}

.footer-v2-top {
    display: flex;
    justify-content: space-between;
}

.footer-v2-top-left {
    width: 324px;
}

.footer-v2-top-right {
    padding-top: 11px;
    width: calc(100% - 324px - 103px);
}

.footer-v2-menu ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 26px;
    padding-left: 0;
    list-style: none;
    margin: 0;
}

.footer-v2-menu a {
    color: #fff;
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    line-height: 31px;
    transition: 0.25s;
}

.footer-v2-logo {
    display: block;
    width: 140px;
}

.footer-v2-logo img {
    display: block;
    width: 100%;
    max-width: 100%;
    height: auto;
}

.footer-v2-bottom {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.footer-v2-bottom-left {
    width: 284px;
    font-size: 12px;
    color: #fff;
    line-height: 140%;
}

.footer-v2-bottom-right {
    width: calc(100% - 324px - 103px);
}

.footer-v2-social-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    width: 100%;
    gap: 35px;
    padding-bottom: 10px;
    padding-right: 10px;
}

.footer-v2-social-link { 
    width: 24px;
    height: 24px;
    transition: 0.25s;
}

.footer-v2-social-link img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
}

@media screen and (min-width: 992px) {
    .footer-v2-social-link:hover,
    .footer-v2-menu a:hover {
        opacity: 0.8;
    }
}

@media screen and (max-width: 1150px) {
    .footer-v2-menu ul {
        justify-content: flex-end;
    }
}

@media screen and (max-width: 992px) {
    .footer-v2-top {
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        margin-bottom: 10px;
    }

    .footer-v2-top-left {
        margin-top: 30px;
        width: 100%;
    }

    .footer-v2-top-right {
        width: 100%;
        padding-top: 0;
    }

    .footer-v2 {
        padding: 30px 0 20px 0;
    }

    .footer-v2-menu ul {
        gap: 15px;
        justify-content: space-between;
    }

    .footer-v2-logo {
        width: 80px;
    }
    
    .footer-v2-bottom {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .footer-v2-bottom-left {
        width: 100%;
    }

    .footer-v2-bottom-right {
        width: 100%;
        justify-content: flex-start;
        display: flex;
        margin-top: 20px;
    }

    .footer-v2-social-list {
        padding-right: 0;
        padding-bottom: 0;
        justify-content: flex-start;
    }
}

@media screen and (max-width: 500px) {
    .footer-v2-menu ul li {
        width: calc(50% - 7.5px);
    }
}